
QGIS Application - Feature request #1520

After adding a column for OGR-Layer, column doesn't appear in attribute table

2009-01-30 03:00 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11580

Description

When I add a column to an OGR layer it is nessecary to drop 

and reload the layer from the legend to see the new column.

History

#1 - 2009-05-12 02:10 PM - Redmine Admin

Unable to replicate this ticket in my windows machine with qgis 1.1.0, was this fixed with the beata code included to trunk?

#2 - 2009-05-13 05:59 AM - Horst Düster

Replying to [comment:2 gcontreras]:

Unable to replicate this ticket in my windows machine with qgis 1.1.0, was this fixed with the beata code included to trunk?

The issue is still present.

 1. Load a shape layer to QGIS

 2. Open Layer Properties->Attributes

 3. Toggle editing and add an attribute

 4. stop editing and save changes

 5. close Layer Properties

 6. repeat step 2 

=> The new attribute column doesn't exists

To see the column you have to unload and reload the layer.

#3 - 2009-05-13 01:56 PM - Redmine Admin

Just added a patch in case someone want to check it. If it works correctly I will upload it to trunk.

#4 - 2009-06-12 12:43 PM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Patch applied to trunk in revision 10914
#5 - 2009-06-15 09:37 AM - Redmine Admin

Sorry, I meant

Files

patchforticket1520.patch 380 Bytes 2009-05-13 Redmine Admin
